## org.apache.mahout.math.set
Class HashUtils

    java.lang.Object
      org.apache.mahout.math.set.HashUtils

    public final class HashUtils

extends Object

Computes hashes of primitive values. Providing these as statics allows the templated code to compute hashes of sets.

Method Summary
`static int` `hash(byte x)`
`static int` `hash(char x)`
`static int` `hash(double x)`
`static int` `hash(float x)`
`static int` `hash(int x)`
`static int` `hash(long x)`
`static int` `hash(short x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hash

    public static int hash(byte x)

### hash

    public static int hash(short x)

### hash

    public static int hash(char x)

### hash

    public static int hash(int x)

### hash

    public static int hash(float x)

### hash

    public static int hash(double x)

### hash

    public static int hash(long x)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.